AOZ Studio Beta - Bug #27

Paint command doesn't work.
01/19/2020 01:07 AM - Brian Flanagan

Status: New Start date: 01/19/2020
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 0:00 hour
Target version:

Affected version: 0.9.9.3

Description

Example Help_5 from AMOSPro_Examples disk.
It compiles, but the Paint commands don't work.

Help_5, line 97 and 106:
Ink 1 : Paint 120,70,1 : Ink 2 : Paint 200,70,1 : Ink 3 : Paint 160,129,1
Ink 4 : Paint 110,120,1 : Ink 5 : Paint 190,100,1 : Ink 6 : Paint 160,30,1 : Ink 7 : Paint 160,100,1

History

#1 - 01/21/2020 05:25 PM - Francois Lionet

- Assignee set to Francois Lionet

It is actually not implemented. Will come soon.

#2 - 02/22/2020 10:37 AM - Brian Flanagan
- Affected version changed from 0.9.2.6 to 0.9.5

Updated Affected version from 0.9.2.6 to 0.9.5. (Still broken.)

#3 - 02/28/2020 03:32 AM - Brian Flanagan
Paint still fails in 0.9.5.1.

#4 - 03/03/2020 04:41 AM - Brian Flanagan
- Affected version changed from 0.9.5 to 0.9.6

Changed Affected version from 0.9.5 to 0.9.6. (Problem still exists.)

#5 - 03/27/2020 01:46 PM - Brian Flanagan
- Affected version changed from 0.9.6 to 0.9.7

Updated affected version to 0.9.7. Paint is still not working.

#6 - 04/15/2020 06:21 AM - Brian Flanagan
- Affected version changed from 0.9.7 to 0.9.8

Affected version changed from 0.9.7 to 0.9.8. Paint still not working.

#7 - 07/07/2020 11:59 AM - Brian Flanagan
- Affected version changed from 0.9.8 to 0.9.9.3

Still broken.

#8 - 07/25/2021 11:46 AM - malcolm harvey
Still broken in Beta 8
#9 - 03/12/2022 05:01 PM - Paul Kitching
Still broke in Beta 12, update 19.

Gives an internal error.
ink 5

box 50,50 to 100,100
paint 60,60,5

#10 - 05/07/2023 12:59 PM - malcolm harvey
- File Screenshot_2023-05-07_at_8.29.53 _am.png added

Paint is working now fixed for aoz mode in V1.x rel U43.

Note: In Amiga manifest mode it is broken at this time. (See screenshot of what happens on amiga).

It draws a line from top left to the right hand side of circle instead of paint filling the large circle.
